Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/pelican: fix

From: Danilo Falcão <danilo_at_falcao.org>
Date: Thu, 7 Jul 2016 16:34:21 +0000

From: Danilo Falcão <danilo_at_falcao.org>

  - adding missing dependencies and scripts
  - patch to use django's feedgenerator
---
 testing/pelican/APKBUILD                       | 37 +++++++++++++++++++++-----
 testing/pelican/pelican                        | 11 ++++++++
 testing/pelican/pelican-import                 | 11 ++++++++
 testing/pelican/pelican-quickstart             | 11 ++++++++
 testing/pelican/pelican-themes                 | 11 ++++++++
 testing/pelican/use-django-feedgenerator.patch | 12 +++++++++
 6 files changed, 87 insertions(+), 6 deletions(-)
 create mode 100644 testing/pelican/pelican
 create mode 100644 testing/pelican/pelican-import
 create mode 100644 testing/pelican/pelican-quickstart
 create mode 100644 testing/pelican/pelican-themes
 create mode 100644 testing/pelican/use-django-feedgenerator.patch
diff --git a/testing/pelican/APKBUILD b/testing/pelican/APKBUILD
index e797f2f..02767ca 100644
--- a/testing/pelican/APKBUILD
+++ b/testing/pelican/APKBUILD
_at_@ -3,17 +3,23 @@
 pkgname=pelican
 _pkgname=pelican
 pkgver=3.6.3
-pkgrel=0
+pkgrel=1
 pkgdesc="A tool to generate a static blog from reStructuredText or Markdown input files."
 url="https://pypi.python.org/pypi/pelican/"
 arch="noarch"
 license="GPL3"
-depends="python"
+depends="python bash fabric py-feedparser py-pygments py-docutils py-sphinx py-blinker py-unidecode py-mock py-markdown py-beautifulsoup4 py-lxml py-six py-tz py-jinja2 py-django py-dateutil py-nose"
 depends_dev=""
 makedepends="python-dev py-setuptools"
 install=""
 subpackages=""
-source="http://pypi.python.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-$pkgver.tar.gz"
+source="http://pypi.python.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-$pkgver.tar.gz
+	use-django-feedgenerator.patch
+	pelican
+	pelican-import
+	pelican-quickstart
+	pelican-themes
+"
 
 _builddir="$srcdir"/$_pkgname-$pkgver
 prepare() {
_at_@ -34,8 +40,27 @@ build() {
 package() {
 	cd "$_builddir"
 	python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+        install -Dm755 "$srcdir"/pelican "$pkgdir"/usr/bin/pelican || return 1
+        install -Dm755 "$srcdir"/pelican-import "$pkgdir"/usr/bin/pelican-import || return 1
+        install -Dm755 "$srcdir"/pelican-quickstart "$pkgdir"/usr/bin/pelican-quickstart || return 1
+        install -Dm755 "$srcdir"/pelican-themes "$pkgdir"/usr/bin/pelican-themes || return 1
 }
 
-md5sums="ee4110fc60af26459f4e2f7c9fa9cdd5  pelican-3.6.3.tar.gz"
-sha256sums="13b9c41ea3342b7eb0fd7f74078b5a8d5035632f05d8680266f50f4c5626c9c2  pelican-3.6.3.tar.gz"
-sha512sums="2494c263ba8dcbe790dda7c0e67e473d7d00326c2f35319b45b424f7fbea21139c70d1174b8363535bf37a1670f0f08c43abca0b5029efc42a57ed2d7de6e6b2  pelican-3.6.3.tar.gz"
+md5sums="ee4110fc60af26459f4e2f7c9fa9cdd5  pelican-3.6.3.tar.gz
+bc2fd60e16a1bc2c9665a444361a193c  use-django-feedgenerator.patch
+4bf7b73a88c503e86f9d65f868460c3e  pelican
+e8bb1251692b788084cf512fdde9fe01  pelican-import
+15041b4677c2a2500d620a07a0a6020a  pelican-quickstart
+00c3394ad364cbf80e15ea0b7f060071  pelican-themes"
+sha256sums="13b9c41ea3342b7eb0fd7f74078b5a8d5035632f05d8680266f50f4c5626c9c2  pelican-3.6.3.tar.gz
+f77f7013d47c60560cbf8d18d7796119a2e7aa2d55a1d777e6ab6258cfae182f  use-django-feedgenerator.patch
+11b7248aed883d72f385563f2d849c5f42f623716a5cfb3bbdf9c61a4c59ab7f  pelican
+d0d6f9b96f10fa0c987ec45b41e7e4b64358f83e78f5c30fa056c860a6242b75  pelican-import
+f563d146419d0ba4a3cc052bbb2bbf8cbbaa5f6a6ae7106c4c6a9e1f627590f4  pelican-quickstart
+5370507e6ec10f4ad1cf8f06ee148debfd51ecb588670d70e649cb9019cb53d0  pelican-themes"
+sha512sums="2494c263ba8dcbe790dda7c0e67e473d7d00326c2f35319b45b424f7fbea21139c70d1174b8363535bf37a1670f0f08c43abca0b5029efc42a57ed2d7de6e6b2  pelican-3.6.3.tar.gz
+1536d1f7acf76cf8d2770e731f92512102455d990df325b54f7099bfb905754b2d84e5a16a2ebb33ead56b76aa44efe080456aa1e01fa783171d3f6e70b895a6  use-django-feedgenerator.patch
+430260ecf616254ebd402caa0fc39a220748e95460f670bf43ab50922cdff3ba142aacc12f862ce8b12b069b8218fe24b8387723911e3b3acc83960d05cfafff  pelican
+f7638795328ca5e103d8e0fa41b3b559f0657d75465fd88ca64be3514ecbc6ef0566ffc687a8869291d6b80b57fa7695ab454c33f014934eebda7ae00ec92763  pelican-import
+7fb3002ee7cee43bc8f216d6df67c8144059090598a25a676880eeccc36d8d0d7063eac3792115843c3d9a5c3d859ad63bae5c9eeb858878f921fe95e0d43c95  pelican-quickstart
+132fb5cd6a09f2d5c9d7759240b3621808d3447d30f14a27722add6e5d8f95e9547043a144ad1f98dc74844fdadf0cbd66011d7f6bde7d087bde11284c9eb105  pelican-themes"
diff --git a/testing/pelican/pelican b/testing/pelican/pelican
new file mode 100644
index 0000000..ab80f54
--- /dev/null
+++ b/testing/pelican/pelican
_at_@ -0,0 +1,11 @@
+#!/usr/bin/env python
+
+# -*- coding: utf-8 -*-
+import re
+import sys
+
+from pelican import main
+
+if __name__ == '__main__':
+    sys.argv[0] = re.sub(r'(-script\.pyw|\.exe)?$', '', sys.argv[0])
+    sys.exit(main())
diff --git a/testing/pelican/pelican-import b/testing/pelican/pelican-import
new file mode 100644
index 0000000..acb0cbf
--- /dev/null
+++ b/testing/pelican/pelican-import
_at_@ -0,0 +1,11 @@
+#!/usr/bin/env python
+
+# -*- coding: utf-8 -*-
+import re
+import sys
+
+from pelican.tools.pelican_import import main
+
+if __name__ == '__main__':
+    sys.argv[0] = re.sub(r'(-script\.pyw|\.exe)?$', '', sys.argv[0])
+    sys.exit(main())
diff --git a/testing/pelican/pelican-quickstart b/testing/pelican/pelican-quickstart
new file mode 100644
index 0000000..5139540
--- /dev/null
+++ b/testing/pelican/pelican-quickstart
_at_@ -0,0 +1,11 @@
+#!/usr/bin/env python
+
+# -*- coding: utf-8 -*-
+import re
+import sys
+
+from pelican.tools.pelican_quickstart import main
+
+if __name__ == '__main__':
+    sys.argv[0] = re.sub(r'(-script\.pyw|\.exe)?$', '', sys.argv[0])
+    sys.exit(main())
diff --git a/testing/pelican/pelican-themes b/testing/pelican/pelican-themes
new file mode 100644
index 0000000..5b0fbb6
--- /dev/null
+++ b/testing/pelican/pelican-themes
_at_@ -0,0 +1,11 @@
+#!/usr/bin/env python
+
+# -*- coding: utf-8 -*-
+import re
+import sys
+
+from pelican.tools.pelican_themes import main
+
+if __name__ == '__main__':
+    sys.argv[0] = re.sub(r'(-script\.pyw|\.exe)?$', '', sys.argv[0])
+    sys.exit(main())
diff --git a/testing/pelican/use-django-feedgenerator.patch b/testing/pelican/use-django-feedgenerator.patch
new file mode 100644
index 0000000..9cd80d2
--- /dev/null
+++ b/testing/pelican/use-django-feedgenerator.patch
_at_@ -0,0 +1,12 @@
+diff --git a/pelican/writers.py b/pelican/writers.py
+index e90a000..1304188 100644
+--- a/pelican/writers.py
++++ b/pelican/writers.py
+_at_@ -8,7 +8,7 @@ import logging
+ if not six.PY3:
+     from codecs import open
+
+-from feedgenerator import Atom1Feed, Rss201rev2Feed
++from django.utils.feedgenerator import Atom1Feed, Rss201rev2Feed
+ from jinja2 import Markup
+ from six.moves.urllib.parse import urlparse
-- 
2.9.0
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Thu Jul 07 2016 - 16:34:21 GMT